<template>
  <div style="z-index:-1;width:100%;height:56px"></div>
  <div
  v-if="auth || !displayAuthButtons"
  class="fixed bottom-0 left-0 z-30 flex justify-center w-full px-1 py-3 h-max fc-text bg-background5 shadow-top footer-menu"
  >
    <nuxt-link to="/" class="flex-1 mx-auto text-center px-1">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
          :class="
            $route.name === 'index' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon svg-name="home-playful" class="w-[21.8px] h-[21.83px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.name === 'index' ? 'text-[color:var(--selected)]' : 'fc-text4'
        "
      >
        {{ $t("home") }}
      </div>
    </nuxt-link>
    <nuxt-link
      to="/bet-history"
      class="text-center mx-auto flex-1 px-1"
    >
      <div class="flex justify-center icon">
        <span
          class="m-0 w-5 h-5"
          :class="
            $route.name === 'Promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon
            svg-name="betHistory-playful"
            class="w-5 h-5"
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'FeatureBetHistory'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t("bet_history") }}
      </div>
    </nuxt-link>
    <nuxt-link
      v-if="auth && isShowDepositWithdrawal && isCashPlayer"
      class="text-center mx-auto flex-1 px-1"
      to="/deposit"
      :id="ID.DEPOSIT_BOTTOM_BAR_MOBILE"
    >
      <div class="flex justify-center icon pointer-events-none">
        <span
          class="m-0 w-5 h-5"
          :class="
            $route.name === 'Promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon svg-name="deposit-playful" class="w-5 h-5" />
        </span>
      </div>
      <div
        class="footer-menu-item-title pointer-events-none"
        :class="
          $route.matched[0].name === 'FeatureDeposit'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t(`deposit${isBhinbhin}`) }}
      </div>
    </nuxt-link>
    <nuxt-link
        v-if="isAllowPromotionTab"
        class="flex-1 mx-auto text-center px-1"
        to="/promotion"
      >
      <div class="flex justify-center items-center">
        <span
          class="m-0 w-5 h-5"
          :class="$route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
            "
        >
          <svg-icon
            svg-name="promotion-playful"
            class="w-5 h-5"
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="$route.name === 'promotion'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
          "
      >
        {{ $t("promotion") }}
      </div>
    </nuxt-link>
    <nuxt-link to="/profile" class="flex-1 mx-auto text-center px-1">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-5 h-5"
          :class="
            $route.name === 'profile' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon svg-name="account-playful" class="w-5 h-5" :class="$route.name === 'profile' && themeColor.Text === 'bk8' ? 'fill-active' : ''"/>
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'profile'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t("account") }}
      </div>
    </nuxt-link>
  </div>
  <div
    v-if="!auth && displayAuthButtons"
    class="fixed bottom-0 left-0 z-[99] w-full flex justify-center items-center fc-text bg-background5 shadow-top h-14"
  >
    <!-- <div
      class="flex items-center justify-center flex-1 h-full mx-auto text-center bg-secondary"
      @click="toggleLoginRegisterDialog()"
    >
      <div class="text-sm font-bold leading-4 fc-textBtn">
        {{ $t("capital_login") }}
      </div>
    </div>
    <div
      v-if="!register.IsHidden"
      to="/register"
      class="flex items-center justify-center flex-1 h-full mx-auto text-center bg-green-400 bg-primary"
      @click="toggleLoginRegisterDialog(false)"
    >
      <div class="text-sm font-bold leading-4 fc-textBtn">
        {{ $t("joinnow") }}
      </div>
    </div> -->
    <nuxt-link to="/" class="flex-1 mx-auto text-center px-1">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
          :class="
            $route.name === 'index' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon svg-name="home-playful" class="w-[21.8px] h-[21.83px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.name === 'index' ? 'text-[color:var(--selected)]' : 'fc-text4'
        "
      >
        {{ $t("home") }}
      </div>
    </nuxt-link>
    <nuxt-link @click="onClickLogin" class="flex-1 mx-auto text-center px-1" :id="ID.DEPOSIT_BOTTOM_BAR_MOBILE">
      <div class="flex justify-center icon pointer-events-none">
        <span
          class="m-0 w-[21.8px] h-[21.83px]"
          :class="
            $route.name === 'index' ? 'foot-menu-item-title-active' : ''
          "
        >
        <svg-icon svg-name="deposit-playful" class="w-5 h-5" />
        </span>
      </div>
      <div
        class="footer-menu-item-title pointer-events-none"
        :class="
          $route.matched[0].name === 'deposit'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t(`deposit${isBhinbhin}`) }}
      </div>
    </nuxt-link>
    <nuxt-link
        v-if="isAllowPromotionTab"
        class="flex-1 mx-auto text-center px-1"
        to="/promotion"
      >
      <div class="flex justify-center items-center">
        <span
          class="m-0 w-5 h-5"
          :class="$route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
            "
        >
          <svg-icon
            svg-name="promotion-playful"
            class="w-5 h-5"
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="$route.name === 'promotion'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
          "
      >
        {{ $t("promotion") }}
      </div>
    </nuxt-link>
    <nuxt-link @click="onClickLogin" class="flex-1 mx-auto text-center px-1">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-5 h-5"
          :class="
            $route.name === 'profile' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon svg-name="account-playful" class="w-5 h-5" :class="$route.name === 'profile' && themeColor.Text === 'bk8' ? 'fill-active' : ''"/>
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'profile'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t("account") }}
      </div>
    </nuxt-link>
    <div class="flex-1 mx-auto text-center px-1 bsi-hamburger">
      <div class="w-full flex justify-center">
        <theme-desktop-global-components-menu-drawer />
      </div>
      {{ $t("menu") }}
    </div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, toRefs } from "vue";
import { store } from "@/store";
import commonHelper from "@/utils/commonHelper";
import useMenu from "@/composables/useMenu";
import { useHeaderComponent } from "@/composables/useTheme";

export default defineComponent({
  name: "MFooterFunction1",
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
    displayAuthButtons: {
      type: Boolean,
      default: true,
    },
  },
  setup(_) {
    const router = useRouter();
    const route = useRoute();
    const { name } = toRefs(route);
    const { themeColor } = themePropertyHelper;
    const isIndex = computed(
      () => name.value === "home" || name.value === "index"
    );
    const isMobile = !useIsDesktop();
    const onClickLogin = () => {
      if (isMobile) toggleLoginRegisterDialog();
      else router.push('/login');
    };
    const onNavigateToPage = (url: string) => {
      if (_.auth) {
        window.open(url, "_blank");
      } else {
        router.push("/login");
      }
    };
    const { getAssetImage, toggleLoginRegisterDialog, isBhinbhin } = commonHelper;
    const { isShowDepositWithdrawal, isCashPlayer } = useMenu();
    const { isAllowPromotionTab, register } = useHeaderComponent();
    return {
      name,
      isIndex,
      onNavigateToPage,
      getAssetImage,
      isShowDepositWithdrawal,
      isCashPlayer,
      isAllowPromotionTab,
      register,
      themeColor,
      toggleLoginRegisterDialog,
      onClickLogin,
      isBhinbhin,
    };
  },
});
</script>
<style lang="scss">
.footer-menu {
  height: 65px;
  padding: 7.33px 0px;
  align-items: center;
  a {
    width: calc(100% / 5);
  }
}
.footer-menu-item-title {
  font-size: 12px;
  margin-top: 2px;
  width: auto;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.shadow-top {
  box-shadow: 0px -4px 3px rgba(0, 0, 0, 0.25);
}
a.router-lint-active svg {
  fill: var(--selected);
}
.bsi-hamburger .menu-btn {
  background: transparent;
  padding: 0px;
  width: unset;
  height: unset;
  svg {
    width: 20px;
    height: 20px;
  }
}
</style>
<style scoped>
a:not(.router-lint-active) svg.text {
  fill: var(--text5);
}

.fill-active {
  fill:var(--selected) !important;
}

</style>
